<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Tabs Panel
| Filename: fp_tabs_panel_admin_tab3.php
| Version: 1.01
| Author: Fangree Productions
| Developers: Fangree_Craig
| Support: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";
include LOCALE.LOCALESET."admin/settings.php";
require_once INCLUDES."bbcode_include.php";
if (!checkrights("TAB")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_tabs_panel/locale/English.php";
}

include INFUSIONS."fp_tabs_panel/infusion_db.php";

global $settings;

add_to_title($locale['global_200']." ".$locale['fpt_034']);

if ($settings['tinymce_enabled']) {
echo "<script language='javascript' type='text/javascript'>advanced();</script>\n";
} else {
	require_once INCLUDES."html_buttons_include.php";
}

$tab3_name = ""; $tab3_content ="";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$fptabssettings = dbarray(dbquery("SELECT * FROM ".DB_FP_TABS.""));
$error = 0;

if (isset($_POST['savet3settings'])) {
    $result = dbquery("UPDATE ".DB_FP_TABS." SET
	tab3_enable='".(isNum($_POST['tab3_enable']) ? $_POST['tab3_enable'] : "0")."',
	tab3_name='".stripslashes($_POST['tab3_name'])."',
	tab3_content='".addslash(descript($_POST['tab3_content']))."'");
	
	if (!$result) { $error = 1; }

	redirect(FUSION_SELF.$aidlink."&error=".$error);
}

        include INFUSIONS."fp_tabs_panel/admin/admin_nav.php";

		opentable($locale['fpt_034']);
		echo"<center><div class='admin-message'>".$locale['fpt_034']."</div></center>\n";
		echo "<form name='tab3form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<table cellpadding='0' cellspacing='0' width='60%' class='tbl-border center'>\n<tr>\n";
		echo "<td class='tbl' align='left'>".$locale['fpt_021']."</td>\n";
		echo "<td class='tbl'><select name='tab3_enable' class='textbox'>\n";
		echo "<option value='1'".($fptabssettings['tab3_enable'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
		echo "<option value='0'".($fptabssettings['tab3_enable'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n<tr>\n";
        echo "<td class='tbl'>".$locale['fpt_022']."</td>\n";
	    echo "<td class='tbl'><input type='text'  name='tab3_name'  value='".$fptabssettings['tab3_name']."' class='textbox' style='width:300px;'><br />\n";
        echo"</td></tr><tr>";
        echo "<td class='tbl' align='left'>".$locale['fpt_023']."<br /></td><td class='tbl'><textarea rows='5' name='tab3_content' class='textbox' style='width:400px'>".stripslashes($fptabssettings['tab3_content'])."</textarea><br />\n";
		if (!$settings['tinymce_enabled']) { echo display_html("tab3form", "tab3_content");}
		echo "</td>\n";
		echo "</tr>\n</tr></table><br />\n";
		echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
		echo "<td align='center' colspan='2' class='tbl'><br />\n";
		echo "<input type='submit' name='savet3settings' value='".$locale['fpt_030']."' class='button' />\n";
		echo "</td></tr>\n";
		echo "</table>\n";
        echo "</form>\n";
        closetable();

		echo"<center><div class='admin-message'>".$locale['fpt_046']."</div></center>\n";
        include INFUSIONS."fp_tabs_panel/fp_tabs_panel.php";
		
require_once THEMES."templates/footer.php";
?>