<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.01
| Author: Nick Jones,  Fangree Productions
| Developers: Fangree_Craig
| Support: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_tabs_panel/locale/English.php";
}

include INFUSIONS."fp_tabs_panel/infusion_db.php";

// Infusion general information
$inf_title = $locale['fpt_001'];
$inf_description = $locale['fpt_002'];
$inf_version = "1.01";
$inf_developer = "Fangree Productions ";
$inf_email = "admin@fangree.com";
$inf_weburl = "http://www.fangree.com";

$inf_folder = "fp_tabs_panel";

$inf_newtable[1] = DB_FP_TABS." (
tab1_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab1_name VARCHAR(50) NOT NULL DEFAULT '',
tab1_content TEXT NOT NULL,
tab2_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab2_name VARCHAR(50) NOT NULL DEFAULT '',
tab2_content TEXT NOT NULL,
tab3_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab3_name VARCHAR(50) NOT NULL DEFAULT '',
tab3_content TEXT NOT NULL,
tab4_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab4_name VARCHAR(50) NOT NULL DEFAULT '',
tab4_content TEXT NOT NULL,
tab5_enable TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tab5_name VARCHAR(50) NOT NULL DEFAULT '',
tab5_content TEXT NOT NULL,
tabs_bg VARCHAR(6) NOT NULL DEFAULT '',
tabs_text VARCHAR(6) NOT NULL DEFAULT '',
container_bg VARCHAR(6) NOT NULL DEFAULT '',
tabs_activetext VARCHAR(6) NOT NULL DEFAULT '',
tabs_activebg VARCHAR(6) NOT NULL DEFAULT '',
tabs_align TINYINT(1) UNSIGNED DEFAULT '0' NOT NULL,
tabs_conborder TINYINT(3) UNSIGNED DEFAULT '0' NOT NULL,
tabs_conborderbg VARCHAR(6) NOT NULL DEFAULT '',
PRIMARY KEY (tab1_enable)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_FP_TABS." (tab1_enable, tab1_name, tab1_content, tab2_enable, tab2_name, tab2_content, tab3_enable, tab3_name, tab3_content, tab4_enable, tab4_name, tab4_content, tab5_enable, tab5_name, tab5_content, tabs_bg, tabs_text, container_bg, tabs_activetext, tabs_activebg, tabs_align, tabs_conborder, tabs_conborderbg) VALUES ('1', '".$locale['fpt_003']."', '".$locale['fpt_008']."', '1', '".$locale['fpt_004']."', '".$locale['fpt_009']."', '1', '".$locale['fpt_005']."', '".$locale['fpt_010']."', '1', '".$locale['fpt_006']."', '".$locale['fpt_011']."', '1', '".$locale['fpt_007']."', '".$locale['fpt_012']."' ,'226D9D', 'FECB00', 'FFFFFF', 'D9D9D9', '0582B0', '1', '0', '')";


$inf_droptable[1] = DB_FP_TABS;


$inf_adminpanel[1] = array(
	"title" => $locale['fpt_001'],
	"image" => "fp_tabs_panel.gif",
	"panel" => "admin/index.php",
	"rights" => "TAB"
);


?>