<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Tabs Panel
| Filename: fp_tabs_panel_admin_styles.php
| Version: 1.01
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("TAB")||!defined("iAUTH")||$_GET['aid']!=iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."fp_tabs_panel/locale/English.php";
}

include INFUSIONS."fp_tabs_panel/infusion_db.php";

add_to_title($locale['global_200']." ".$locale['fpt_038']);

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
	$message = $locale['fpt_044'];
	} elseif ($_GET['status'] == "nsu") {
	$message = $locale['fpt_045'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
	}

	if (isset($_POST['styles_save'])) {
	$result = dbquery("UPDATE ".DB_FP_TABS." SET  tabs_bg='".addslashes($_POST['tabs_bg'])."', tabs_text='".addslashes($_POST['tabs_text'])."', container_bg='".addslashes($_POST['container_bg'])."', tabs_activetext='".addslashes($_POST['tabs_activetext'])."', tabs_activebg='".addslashes($_POST['tabs_activebg'])."', tabs_align='".(isNum($_POST['tabs_align']) ? $_POST['tabs_align'] : "0")."', tabs_conborder='".addslashes($_POST['tabs_conborder'])."',tabs_conborderbg='".addslashes($_POST['tabs_conborderbg'])."'");	
	
	if (!$result) { 
	redirect(FUSION_SELF.$aidlink."&status=nsu");
	} else {
	redirect(FUSION_SELF.$aidlink."&status=su");
	}
	}

	$fptabssettings = dbarray(dbquery("SELECT * FROM ".DB_FP_TABS));
	$tabs_bg = stripinput($fptabssettings['tabs_bg']);
	$tabs_text = stripinput($fptabssettings['tabs_text']);
	$container_bg = stripinput($fptabssettings['container_bg']);
    $tabs_activetext = stripinput($fptabssettings['tabs_activetext']);
    $tabs_activebg = stripinput($fptabssettings['tabs_activebg']);
	$tabs_align = isNum(stripinput($fptabssettings['tabs_align']));
	$tabs_conborder = isNum(stripinput($fptabssettings['tabs_conborder']));
	$tabs_conborderbg = stripinput($fptabssettings['tabs_conborderbg']);
	
add_to_head("<script type='text/javascript' src='".INFUSIONS."fp_tabs_panel/includes/jscolor/jscolor.js'></script>");
	 include INFUSIONS."fp_tabs_panel/admin/admin_nav.php";
opentable($locale['fpt_038']);

    echo"<div style='text-align: center;' class='admin-message center'>".$locale['fpt_047']."</div>";
    echo "<form name='fpts_form' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return ValidateForm(this);'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='50%'  class='tbl-border center' >\n<tr>\n";
	echo" <td  class='tbl'>".$locale['fpt_039']."</td>";
	echo" <td  class='tbl'><input class='color {required:false} textbox' maxlength='6' name='tabs_bg' value='".$fptabssettings['tabs_bg']."'/></td>\n";
	echo "</tr><tr>\n";
    echo" <td  class='tbl'>".$locale['fpt_040']."</td>";
	echo" <td  class='tbl'><input class='color {required:false} textbox' maxlength='6' name='tabs_text' value='".$fptabssettings['tabs_text']."'/></td>\n";
	echo "</tr><tr>\n";
	echo" <td align='left' class='tbl'>".$locale['fpt_042']."</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='tabs_activebg' value='".$fptabssettings['tabs_activebg']."'/></td>\n";
	echo "</tr><tr>";
	echo" <td align='left' class='tbl'>".$locale['fpt_043']."</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='tabs_activetext' value='".$fptabssettings['tabs_activetext']."'/></td>\n";
	echo "</tr><tr>";
	echo "<td  class='tbl' align='left'>".$locale['fpt_049']."</td>\n";
	echo "<td  class='tbl'><select name='tabs_align' class='textbox'>\n";
	echo "<option value='2'".($fptabssettings['tabs_align'] == "2" ? " selected='selected'" : "").">".$locale['fpt_050']."</option>\n";
	echo "<option value='1'".($fptabssettings['tabs_align'] == "1" ? " selected='selected'" : "").">".$locale['fpt_051']."</option>\n";
	echo "<option value='0'".($fptabssettings['tabs_align'] == "0" ? " selected='selected'" : "").">".$locale['fpt_052']."</option>\n";
	echo "</select></td>\n";
	echo "</tr><tr>\n";
	echo" <td align='left' class='tbl'>".$locale['fpt_041']."</td>";
    echo" <td align='left' class='tbl'><input class='color {required:false} textbox' maxlength='6' name='container_bg' value='".$fptabssettings['container_bg']."'/></td>\n";
	echo "</tr><tr>";
    echo" <td  class='tbl'>".$locale['fpt_053']."</td>";
	echo" <td  class='tbl'><input class='textbox' maxlength='3' name='tabs_conborder' value='".$fptabssettings['tabs_conborder']."' style='width: 30px;'/></td>\n";
	echo "</tr><tr>\n";
    echo" <td  class='tbl'>".$locale['fpt_054']."</td>";
	echo" <td  class='tbl'><input class='color {required:false} textbox' maxlength='6' name='tabs_conborderbg' value='".$fptabssettings['tabs_conborderbg']."'/></td>\n";
	echo "</tr>\n";
	echo"</table>\n";
    echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><br />\n";
	echo "<input type='submit' class='button' name='styles_save' value='".$locale['fpt_030']."' />\n";
	echo "</td></tr>\n";
	echo "</table>\n";
    echo "</form>\n";
		
closetable();

echo"<center><div class='admin-message'>".$locale['fpt_046']."</div></center>\n";
include INFUSIONS."fp_tabs_panel/fp_tabs_panel.php";

add_to_footer("<script type='text/javascript'>
   function ValidateForm(frm) {
	    if(isNaN(frm.tabs_conborder.value)) {
		alert('".$locale['fpt_055']."');
		return false;
	}
   }
</script>");


require_once THEMES."templates/footer.php";
?>