<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Tabs Panel
| Filename: fp_tabs_panel.php
| Version: 1.01
| Author: Fangree Productions
| Developers: Fangree_Craig
| Support: http://www.fangree.com
+--------------------------------------------------------+
| JQuery Code based on code from Most Read News Panel
| Author: HaYaLeT
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$fp_tabs_panel_check = dbquery("SELECT * FROM ".DB_ADMIN. " WHERE admin_title='FP Tabs Panel'");
if (dbrows($fp_tabs_panel_check) > 0) {

if (file_exists(INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."fp_tabs_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."fp_tabs_panel/locale/English.php";
}

include INFUSIONS."fp_tabs_panel/infusion_db.php";

$fptabssettings = dbarray(dbquery("SELECT * FROM ".DB_FP_TABS.""));

include INFUSIONS."fp_tabs_panel/includes/fp_tabs_panel_styles.php";

global $settings;

if (function_exists("add_to_footer")) {
 add_to_footer( '<script type="text/javascript">
      $(document).ready(function(){
        var active = 0;
        $("#tab_container div:eq("+active+")").show();
        tab_action(0);
        
        $("#the_tabs span").click(function(){
          var index = $("#the_tabs span").index(this);
          if(active != index)
          {
            $("#tab_container div:eq("+active+")").hide();
            active = index;
            tab_action(active);
            $("#tab_container div:eq("+active+")").fadeIn("fast");
          }
        });
      });
      function tab_action(index)
      {
        $("#the_tabs span").css("background-color","#'.stripinput($fptabssettings["tabs_bg"]).'").css("color","#'.stripinput($fptabssettings["tabs_text"]).'");
        $("#the_tabs span:eq("+index+")").css("background-color","#'.stripinput($fptabssettings["tabs_activebg"]).'").css("color","#'.stripinput($fptabssettings["tabs_activetext"]).'");
      }
    </script>');
	}
	
	
   opentable($locale['fpt_056'].$settings['sitename']);
	 
    if ($fptabssettings['tab1_enable'] == "1" || $fptabssettings['tab2_enable'] == "1" || $fptabssettings['tab3_enable'] == "1" || $fptabssettings['tab4_enable'] == "1" || $fptabssettings['tab5_enable'] == "1") {
	echo "<div id='tab'>\n
    <div id='the_tabs'>\n";
	if ($fptabssettings['tab1_enable'] == "1" && $fptabssettings['tab1_content'] !== "" && $fptabssettings['tab1_name'] !== "") { 
	echo"<span>".stripslashes($fptabssettings['tab1_name'])."</span>";
	}
	if ($fptabssettings['tab2_enable'] == "1" && $fptabssettings['tab2_content'] !== "" && $fptabssettings['tab2_name'] !== "") { 
    echo"<span>".stripslashes($fptabssettings['tab2_name'])."</span>";
	}
	if ($fptabssettings['tab3_enable'] == "1" && $fptabssettings['tab3_content'] !== "" && $fptabssettings['tab3_name'] !== "") { 
	echo"<span>".stripslashes($fptabssettings['tab3_name'])."</span>";
	}
	if ($fptabssettings['tab4_enable'] == "1" && $fptabssettings['tab4_content'] !== "" && $fptabssettings['tab4_name'] !== "") { 
	echo"<span>".stripslashes($fptabssettings['tab4_name'])."</span>";
	}
	if ($fptabssettings['tab5_enable'] == "1" && $fptabssettings['tab5_content'] !== "" && $fptabssettings['tab5_name'] !== "") { 
	echo"<span>".stripslashes($fptabssettings['tab5_name'])."</span>";
	}
    echo"</div>\n";
	
    echo"<div id='tab_container'>";
    if ($fptabssettings['tab1_enable'] == "1" && $fptabssettings['tab1_content'] !== "" && $fptabssettings['tab1_name'] !== "") { 
    echo "<div class='tab_content'>";
    echo stripslashes($fptabssettings['tab1_content']);
    echo "</div>\n";
	}
	if ($fptabssettings['tab2_enable'] == "1" && $fptabssettings['tab2_content'] !== "" && $fptabssettings['tab2_name'] !== "") { 
    echo "<div class='tab_content'>";
    echo stripslashes($fptabssettings['tab2_content']);
    echo "</div>\n";
	}
	if ($fptabssettings['tab3_enable'] == "1" && $fptabssettings['tab3_content'] !== "" && $fptabssettings['tab3_name'] !== "") { 
    echo "<div class='tab_content'>";
    echo stripslashes($fptabssettings['tab3_content']);
    echo "</div>\n";
	}
	if ($fptabssettings['tab4_enable'] == "1" && $fptabssettings['tab4_content'] !== "" && $fptabssettings['tab4_name'] !== "") { 
    echo "<div class='tab_content'>";
    echo stripslashes($fptabssettings['tab4_content']);
    echo "</div>\n";
	}
	if ($fptabssettings['tab5_enable'] == "1" && $fptabssettings['tab5_content'] !== "" && $fptabssettings['tab5_name'] !== "") { 
    echo "<div class='tab_content'>";
    echo stripslashes($fptabssettings['tab5_content']);
    echo "</div>\n";
	}
    echo "</div>\n</div>\n";
	}else{
	echo"<div style='text-align: center;'>".$locale['fpt_031']."</div>\n";
	}

   // COPYRIGHT DO NOT REMOVE
	echo"<div class='side small' style='padding-top:5px; text-align:right; color:#000;'>".$locale['copyrightFPTABS']."</div>\n";
     
  closetable();
   }
   
?>
