<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Tabs Panel
| Filename: fp_tabs_panel_styles.php
| Version: 1.01
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

$fp_tabs_panel_check = dbquery("SELECT * FROM ".DB_ADMIN. " WHERE admin_title='FP Tabs Panel'");
if (dbrows($fp_tabs_panel_check) > 0) {

$fptabssettings = dbarray(dbquery("SELECT * FROM ".DB_FP_TABS.""));

if (function_exists("add_to_head")) {
add_to_head("<style type='text/css'>
#tab {
		border-radius: 4px 4px 4px 4px;
		-moz-border-radius: 4px 4px 4px 4px;
		-webkit-border-radius: 4px 4px 4px 4px;
		display: block;
		padding: 5px 0;
		width: 100%;   
}
</style>");

if ($fptabssettings['tabs_align'] == "1") {
add_to_head("<style type='text/css'>
#the_tabs{
		width:auto;
		vertical-align: top;
}
</style>");
}else
if ($fptabssettings['tabs_align'] == "2") {
add_to_head("<style type='text/css'>
#the_tabs{
		text-align: right;
		width: auto;
		vertical-align: top;
}
</style>");
}else{
add_to_head("<style type='text/css'>
#the_tabs{
		text-align: center;
		width: auto;
}
</style>");
}
add_to_head("<style type='text/css'>
#the_tabs span{
		padding: 5px 7px;
		margin: 0 5px 0 0;
		background-color: #".stripinput($fptabssettings['tabs_bg']).";;
		color: #".stripinput($fptabssettings['tabs_text']).";;
		font-weight:bold;
		cursor: pointer;
		-webkit-border-top-left-radius: 4px;
		-webkit-border-top-right-radius: 4px;
		-moz-border-radius-topleft: 4px;
		-moz-border-radius-topright: 4px;
		border-top-left-radius: 4px;
		border-top-right-radius: 4px;
}
#tab_container div{
		padding:5px;
		background-color: #".stripinput($fptabssettings['container_bg']).";;
		display:none;
		border: ".stripinput($fptabssettings['tabs_conborder'])."px solid #".stripinput($fptabssettings['tabs_conborderbg']).";;
}
.tab_content {
		margin-top: 5px;
		width: auto;
}
</style>");
}     
}
    
?>